Skip to main content
GET
/
api
/
public
/
v2
/
subcategories
cURL
curl --location 'https://www.headout.com/api/public/v2/subcategories?cityCode=<CITY_CODE>&languageCode=<LANGUAGE_CODE>' \
--header 'Headout-Auth: <YOUR_API_KEY>'
{
  "subCategories": [
    {
      "id": "<string>",
      "name": "<string>",
      "categoryId": "<string>",
      "canonicalUrl": "<string>",
      "localeSpecificUrls": {}
    }
  ]
}

Authorizations

Headout-Auth
string
header
required

Query Parameters

cityCode
string
required

Uppercase city identifier (e.g., NEW_YORK, DUBAI, LONDON). Use the Cities API to retrieve all available city codes.

languageCode
enum<string>
default:EN

Language code for localizing response content including product names, descriptions, and URLs. Defaults to English (EN). See supported language codes.

Available options:
EN,
ES,
FR,
IT,
DE,
PT,
NL,
PL

Response

200 - application/json

Successful response

subCategories
object[]

All subcategories available in the requested city.